Bug 1955122 - Renderdoc crashes on launch with SIGSEV
Summary: Renderdoc crashes on launch with SIGSEV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: renderdoc
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Kellner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-29 13:38 UTC by Martin
Modified: 2021-11-14 04:07 UTC (History)
2 users (show)

Fixed In Version: renderdoc-1.16-1.fc34 renderdoc-1.16-1.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-14 03:43:45 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
backtrace printed from GDB (3.56 KB, text/plain)
2021-04-29 13:38 UTC, Martin
no flags Details

Description Martin 2021-04-29 13:38:21 UTC
Created attachment 1777158 [details]
backtrace printed from GDB

Description of problem:

Both executables in the package, namely qrenderdoc and renderdoccmd crash with a SIGSEV. The crash occurs within /usr/lib64/renderdoc/librenderdoc.so. I've built the same version 1.10 from source and the crash does not occur but when I enable LTO manually the crash occurs every time. For this reason I suspect that the Fedora package crashes due to LTO being enabled by default.

I filed a github issue with the developer (https://github.com/baldurk/renderdoc/issues/2262) but it seems that LTO is not considered to be a supported compilation flag. Would it be possible to exempt renderdoc from being built with LTO enabled? That seems to solve the problem for me. 


Version-Release number of selected component (if applicable):

1.10-2.fc34.x86_64

How reproducible:

100% of the time.


Steps to Reproduce:

1. Run either qrenderdoc or renderdoccmd (crash should even occur with just --help option)


Actual results:

Both qrenderdoc and renderdoccmd crash with SIGSEV.

Expected results:
The programs should launch correctly.

Comment 1 steubens 2021-08-04 07:31:46 UTC
thank you for reporting this

i don't work for fedora or anything but i've seen package exemptions go through fesco

https://fedoraproject.org/wiki/Packaging_Committee?rd=Packaging:Committee

not 100% on the process, can see some past requests at https://pagure.io/packaging-committee/issues?status=Closed

don't need to be an employee to have a fedora account that works to log into pagure

  josh

Comment 2 Fedora Update System 2021-11-06 22:45:13 UTC
FEDORA-2021-553479d048 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-553479d048

Comment 3 Fedora Update System 2021-11-06 22:45:24 UTC
FEDORA-2021-d8b7af4c6e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8b7af4c6e

Comment 4 Fedora Update System 2021-11-07 02:10:00 UTC
FEDORA-2021-d8b7af4c6e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d8b7af4c6e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8b7af4c6e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-07 02:16:17 UTC
FEDORA-2021-553479d048 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-553479d048`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-553479d048

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-14 03:43:45 UTC
FEDORA-2021-553479d048 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-11-14 04:07:03 UTC
FEDORA-2021-d8b7af4c6e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.